-- Deploy camper:campsite_carousel_i18n to pg
-- requires: roles
-- requires: schema_camper
-- requires: campsite_carousel
-- requires: language

begin;

set search_path to camper, public;

create table campsite_carousel_i18n (
	campsite_id integer not null,
	media_id integer not null,
	lang_tag text not null references language,
	caption text,
	primary key (campsite_id, media_id, lang_tag),
	foreign key (campsite_id, media_id) references campsite_carousel
);

grant select on table campsite_carousel_i18n to guest;
grant select on table campsite_carousel_i18n to employee;
grant select, insert, update, delete on table campsite_carousel_i18n to admin;

commit;
