-- Deploy camper:tax_rate to pg
-- requires: schema_camper

begin;

set search_path to camper, public;

create domain tax_rate as numeric
check (value > -1 and value < 1);

comment on domain tax_rate is
'A rate for taxes in the range (-1, 1)';

commit;
