-- Deploy camper:campsite_type_cost__per_age to pg
-- requires: campsite_type_cost
-- requires: nonnegative_integer

begin;

set search_path to camper, public;

alter table campsite_type_cost
  add column cost_per_adult nonnegative_integer not null default 0
, add column cost_per_teenager nonnegative_integer not null default 0
, add column cost_per_child nonnegative_integer not null default 0
;

alter table campsite_type_cost
  alter column cost_per_adult drop default
, alter column cost_per_teenager drop default
, alter column cost_per_child drop default
;

commit;
